@use "../../styles/mixins";
@use "../../styles/screens";
@use "../../styles/typography";
@use "../../styles/variables";

.main {
  .arrow {
    width: 2rem;
    transform: rotate(180deg);
    margin-left: 1.5rem;

    @include screens.laptop {
      margin: 4rem 0 0 8rem;
    }
  }

  .title {
    @include typography.heading2;

    margin: 1.5rem;

    @include screens.laptop {
      margin-left: 8rem;
    }
  }

  .wrapper {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;

    @include screens.laptop {
      flex-direction: row-reverse;
    }
  }

  .list {
    padding: 1.5rem;
    display: flex;
    flex-direction: column;
    gap: 2rem;
    width: 100%;

    @include screens.laptop {
      padding: 4rem 2rem 4rem 8rem;
    }
  }

  .mapContainer {
    flex: 0 0 40%;
    height: 16rem;

    @include screens.laptop {
      position: sticky;
      top: 8rem;
    }
  }
}